package com.ruoyi.ucp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author gfhd
 * @since 2024-03-05
 */
@TableName("station_info_day")
public class StationInfoDay implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String stationId;

    private String projectId;

    private String lineId;

    private String turbineId;

    private Date recordDate;

    private Integer aqts;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getLineId() {
        return lineId;
    }

    public void setLineId(String lineId) {
        this.lineId = lineId;
    }

    public String getTurbineId() {
        return turbineId;
    }

    public void setTurbineId(String turbineId) {
        this.turbineId = turbineId;
    }

    public Date getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(Date recordDate) {
        this.recordDate = recordDate;
    }

    public Integer getAqts() {
        return aqts;
    }

    public void setAqts(Integer aqts) {
        this.aqts = aqts;
    }

    @Override
    public String toString() {
        return "StationInfoDay{" +
            "id = " + id +
            ", stationId = " + stationId +
            ", projectId = " + projectId +
            ", lineId = " + lineId +
            ", turbineId = " + turbineId +
            ", recordDate = " + recordDate +
            ", aqts = " + aqts +
        "}";
    }
}
