package com.ruoyi;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.ruoyi.RuoYiApp;
import com.ruoyi.ucp.entity.*;
import com.ruoyi.ucp.feign.AdapterApi;
import com.ruoyi.ucp.mapper.TurbineInfoMapper;
import com.ruoyi.ucp.service.*;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import javax.script.ScriptEngine;
import javax.script.ScriptEngineManager;
import javax.script.ScriptException;
import java.net.URI;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@SpringBootTest//classes = RuoYiApp.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT
@RunWith(SpringRunner.class)
public class UcpAppTests {


    @Resource
    private AdapterApi adapter;
    @Resource
    private IPointInfoService pointService;
    @Resource
    private IStationInfoDayService stationInfoDayService;
    @Resource
    private IStationInfoHourService stationInfoHourService;
    @Resource
    private IMethodService methodService;
    @Resource
    private ScriptEngine engine;
    @Resource
    private ILineInfoDayService lineInfoDayService;

    @Test
    public void test() {
        TurbineInfo info = new TurbineInfo();
        info.setName("pro_basic_equipment_point");
        info.setUniformCode("");
        //List<LinkedHashMap<String, Object>> byInfo = turbineInfoMapper.getByInfo(info);
        System.out.println();
    }

    @Test
    public void contextLoads() {
        //Date day = DateUtil.beginOfHour(DateUtil.date()).toJdkDate();
        //ScriptEngine engine = new ScriptEngineManager().getEngineByName("nashorn");
        String pi = "var map = new Map();  \n" +
                "map.set('key1', 'value1');  \n" +
                "map.set('key2', 'value2');  \n" +
                "var value1 = map.get('key1');" ;
        try {
            //List<PointData> historySnap = adapter.getHistorySnap(URI.create("http://127.0.0.1:8011/ts"),"NEM_SXJSFW.SX_XXXX_XXX_X_XX_XX_XXXX_FCC_CI134", 1706166626000L,
            //        1706168006283L, 30);
            /*engine.put("adapter", adapter);
            engine.put("pointService", pointService);
            engine.put("stationInfoDayService", stationInfoDayService);
            engine.put("stationInfoHourService", stationInfoHourService);
            List<Method> methods = methodService.list();
            try {
                for (Method method : methods) {
                    engine.eval(method.getMethodExpression());
                }
            } catch (ScriptException e) {
                e.printStackTrace();
            }*/

            engine.eval(pi);
            //engine.eval(k);
            Object eval = engine.eval("map");
            Object eval2 = engine.eval("latest1");
            Object eval3 = engine.eval("entity");
            Object lineInfoDays = engine.eval("lineInfoDays");
            System.out.println();

            PointInfo info = new PointInfo();
            //info.setTableName("pro_basic_equipment_point");
            //info.setStationId("GJNY_SXGS_XZ_FDC_STA");
            info.setUniformCode("RFDL");
            info.setStationId("all");
            List<PointInfo> entity = pointService.getByEntity(info);
            String collect = entity.stream().map(PointInfo::getPointKey).collect(Collectors.joining(","));
            Map<String,PointData> latest = adapter.getHistorySection(URI.create("http://172.16.12.101:8012/ts"), collect,System.currentTimeMillis());
            //adapter.writeHistoryBatch(URI.create("http://172.16.12.101:8012/ts"), latest);
            //List<LinkedHashMap<String, Object>> byInfo = mapper.getByInfo(info);
            System.out.println();
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
